summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-09-11 13:57:14 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-09-11 13:57:14 (EDT)
commit51a6034194bbeb50cfbdcd7662d17f4eab8e0725 (patch)
tree86eb90f70f32b8e4793a3c3cbbb6debe468a6f94
parent7fc43e6b6a6957ee3e080433552143aad2a12ac4 (diff)
Refresh patches.
Correct offsets and update libc/locale/gen-translit.sh against upstream changes to libc/locale/gen-translit.pl
-rw-r--r--patches/01_remove-manual.patch2
-rw-r--r--patches/03_noperl-gen-translit.patch6
-rw-r--r--patches/04_fix-bad-substitution.patch2
3 files changed, 6 insertions, 4 deletions
diff --git a/patches/01_remove-manual.patch b/patches/01_remove-manual.patch
index 7bbc625..0d5844b 100644
--- a/patches/01_remove-manual.patch
+++ b/patches/01_remove-manual.patch
@@ -3,7 +3,7 @@ From: "P. J. McDermott" <pjm@nac.net>
--- a/libc/sysdeps/gnu/Makefile
+++ b/libc/sysdeps/gnu/Makefile
-@@ -19,13 +19,6 @@
+@@ -18,13 +18,6 @@
# Generate the list of strings for errno codes from the section of the
# manual which documents the codes.
diff --git a/patches/03_noperl-gen-translit.patch b/patches/03_noperl-gen-translit.patch
index cffc8cd..2bd4585 100644
--- a/patches/03_noperl-gen-translit.patch
+++ b/patches/03_noperl-gen-translit.patch
@@ -5,7 +5,7 @@ Description: Replace locale/gen-translit.pl with a shell script
diff -Naur src.orig/libc/locale/gen-translit.sh src/libc/locale/gen-translit.sh
--- src.orig/libc/locale/gen-translit.sh 1969-12-31 19:00:00.000000000 -0500
+++ src/libc/locale/gen-translit.sh 2013-06-21 18:04:13.414351956 -0400
-@@ -0,0 +1,195 @@
+@@ -0,0 +1,197 @@
+#!/bin/sh
+# A POSIX.1 shell command language translation of gen-translit.pl.
+
@@ -96,6 +96,8 @@ diff -Naur src.orig/libc/locale/gen-translit.sh src/libc/locale/gen-translit.sh
+$(cat C-translit.h.in | gcc -E - || die 'Cannot preprocess input file')
+EOF
+
++printf '#include <stdint.h>\n'
++
+printf '#define NTRANSLIT %d\n' ${ntranslit}
+
+printf 'static const uint32_t translit_from_idx[] =\n{\n '
@@ -204,7 +206,7 @@ diff -Naur src.orig/libc/locale/gen-translit.sh src/libc/locale/gen-translit.sh
diff -Naur src.orig/libc/locale/Makefile src/libc/locale/Makefile
--- src.orig/libc/locale/Makefile 2012-11-17 12:50:14.000000000 -0500
+++ src/libc/locale/Makefile 2013-06-21 18:10:15.525446048 -0400
-@@ -88,7 +88,11 @@
+@@ -87,7 +87,11 @@
$(objpfx)localedef $(objpfx)locale: $(lib-modules:%=$(objpfx)%.o)
C-translit.h: C-translit.h.in gen-translit.pl
diff --git a/patches/04_fix-bad-substitution.patch b/patches/04_fix-bad-substitution.patch
index 9131a95..5f86556 100644
--- a/patches/04_fix-bad-substitution.patch
+++ b/patches/04_fix-bad-substitution.patch
@@ -22,7 +22,7 @@ Description: Fix "bad substitution" errors in shell script
diff -Naur src.orig/libc/sysdeps/unix/make-syscalls.sh src/libc/sysdeps/unix/make-syscalls.sh
--- src.orig/libc/sysdeps/unix/make-syscalls.sh 2012-12-02 16:11:45.000000000 -0500
+++ src/libc/sysdeps/unix/make-syscalls.sh 2013-06-25 12:01:55.178740324 -0400
-@@ -279,7 +279,7 @@
+@@ -275,7 +275,7 @@
# name in the vDSO and KERNEL_X.Y is its symbol version.
vdso_symbol="${vdso_syscall%@*}"
vdso_symver="${vdso_syscall#*@}"